maptool(1)

NAME
maptool - parse osm textfile and convert to Navit binfile format

SYNOPSIS
For OSM XML data: bzcat planet.osm.bz2 | maptool mymap.bin [-h] [-6] [-a <level>] [-c] -[-d <connect string] [-e <phase>] [-i <file>] [-k] [-M] [-N] [-o] [-r <file>] [-s <phase>] [-S <size>] [-w] [-W] [-U] [-z <level>] For OSM Protobuf/PBF data: maptool --protobuf -i planet.osm.pbf planet.bin [-h] [-6] [-a <level>] [-c] [-e <phase>] [-i <file>] [-k] [-M] [-N] [-o] [-P] [-r <file>] [-s <phase>] [-S <size>] [-w] [-W] [-U] [-z <level>]

DESCRIPTION
maptool parses osm textfile and converts it to Navit binfile format

OPTIONS

-h (--help)
    display a short help message

-6 (--64bit)
    set zip 64 bit compression

-a (--attr-debug-level) <level>
    control which data is included in the debug attribute

-c (--dump-coordinates)
    dump coordinates after phase 1

-d (--db) <connect string>
    get osm data out of a postgresql database with osm simple scheme and given connect string

-D (--dump)
    dump map data to standard output in Navit textfile format If this option is specified, the output file parameter must be omitted.

-e (--end) <phase>
    end at specified phase

-E (--experimental)
    enable experimental features (if available)

-i (--input-file) <file>
    specify the input file name (OSM), overrules default stdin

-k (--keep-tmpfiles)
    do not delete tmp files after processing. useful to reuse them

-M (--o5m)
    input data is in o5m format

-n (--ignore-unknown)
    do not output ways and nodes with unknown type

-N (--nodes-only)
    process only nodes

-P (--protobuf)
    input data is in pbf (Protocol Buffer) format

-r (--rule-file) <file>
    read mapping rules from specified file

-s (--start) <phase>
    start at specified phase

-S (--slice-size) <phrase>
    limit memory to use for some large internal buffers, in bytes. Default is 1 GB. Smaller slices reduce peak memory usage, at the cost of increased processing time.

-t (--timestamp) <y-m-dTh:m:s>
    set zip timestamp

-w (--dedupe-ways)
    ensure no duplicate ways or nodes. useful when using several input files

-W (--ways-only)
    process only ways

-U (--unknown-country)
    add objects with unknown country to index

-x (--index-size)
    set maximum country index size in bytes

-z (--compression-level) <level>
    set the compression level

BUGS
Should you find one, please report it :
 http://trac.navit-project.org

AUTHOR
The navit Team - http://www.navit-project.org

SEE ALSO
navit(1)